Name:		hashcat
Version:	4.0.1
Release:	1%{?dist}
Summary:	World's fastest and most advanced password recovery utility

License:	MIT
URL:		https://hashcat.net/hashcat/
Source0:	https://github.com/hashcat/hashcat/archive/v4.0.1.tar.gz#/%{name}-%{version}.tar.gz
Source1:	hashcat.1.gz
# accepted upstream: https://github.com/hashcat/hashcat/pull/1498
Patch0:		hashcat-4.0.1-soname-add.patch
Patch1:		hashcat-4.0.1-force-big-endian-build.patch
#man page has been taken from Debian
BuildRequires:	opencl-headers
#compilation for ppc64 architecture is questionable and will be discussed with upstream in the future
#ExcludeArch:	ppc64

%package devel
Summary:	Development package for hashcat
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description
Hashcat is the world's fastest and most advanced password recovery utility,
supporting five unique modes of attack for over 200 highly-optimized hashing
algorithms. hashcat currently supports CPUs, GPUs, and other hardware accelerators
on Linux, Windows, and macOS, and has facilities to help enable distributed
password cracking.

%description devel
Hashcats development header files

%prep
%setup -q
%patch0 -p1 -b .soname-add
%patch1 -p1 -b .force-big-endian-build

%build
%make_build SHARED=1 DEBUG=1 CFLAGS="%{optflags} -Iinclude/ -Iinclude/lzma_sdk/ -IOpenCL/"

%install
%make_install SHARED=1 DEBUG=1 PREFIX=%{_usr} LIBRARY_FOLDER=%{_libdir} INSTALL="install -p"
mkdir -p %{buildroot}%{_mandir}/man1/
install -pm 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/hashcat.1.gz
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
mv %{buildroot}%{_docdir}/%{name}/extra/tab_completion/hashcat.sh %{buildroot}%{_sysconfdir}/bash_completion.d/hashcat.sh
rm -f %{buildroot}%{_docdir}/%{name}/extra/tab_completion/*
rmdir %{buildroot}%{_docdir}/%{name}/extra/tab_completion
rmdir %{buildroot}%{_docdir}/%{name}/extra
mkdir -p %{buildroot}%{_docdir}/%{name}/examples
mv %{buildroot}%{_docdir}/%{name}/example??* %{buildroot}%{_docdir}/%{name}/examples
rm -f %{buildroot}%{_docdir}/%{name}/docs/license.txt

%files
%doc %{_docdir}/%{name}/docs
%license docs/license.txt
%{_bindir}/%{name}
%{_sysconfdir}/bash_completion.d/hashcat.sh
%{_mandir}/man1/hashcat.1.gz
%{_libdir}/libhashcat*
%{_docdir}/%{name}/examples
%{_docdir}/%{name}/rules
%{_docdir}/%{name}/masks
%{_docdir}/%{name}/charsets

%files devel
%{_datadir}/%{name}

%changelog
* Tue Jan 30 2018 Tomáš Korbař <tomas.korb@seznam.cz> - 4.0.-1
- Commit created before review request with first version of package
